#include<bits/stdc++.h>
using namespace std;
    int a[200001];
    int b[200001];
int main()
{
    int n,q,l,r;

    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    b[0]=0;
    for(int i=1;i<n;i++)
    {
        if(a[i]<a[i-1])
        {
            b[i]=b[i-1]+1;
        }
        else
            b[i]=b[i-1];
    }

    cin >> q;
    for(int i=0;i<q;i++)
    {
        cin >> l >> r;
        if(b[r-1]-b[l-1]<=1)
        {
            cout << "DA"<<endl;
        }
        else
        {
            cout << "NE"<<endl;
        }
    }
}